+1 for both, thanks!

On Thu, Mar 14, 2013 at 11:22 AM, Kevan Miller <kevan.miller@gmail.com> wrote:
Thanks. I switched the pom to use genesis 2.1 and see it builds…

I'm +1 for the releases, with some hesitation...

Going forward, I think we should require that our releases are buildable with Java 7 JDK.

--kevan

On Mar 13, 2013, at 8:38 PM, Jarek Gawor <jgawor@gmail.com> wrote:

> I see that when compiling with Java 7. It compiles fine with Java 6. I
> think that's the difference of using genesis 2.0 vs 2.1.
>
> Jarek
>
> On Wed, Mar 13, 2013 at 6:45 PM, Kevan Miller <kevan.miller@gmail.com> wrote:
>> I get the following error, if I build with Java 7 on Mac OS. Do you see the same? Or something different?
>>
>> [INFO] ------------------------------------------------------------------------
>> [INFO] BUILD FAILURE
>> [INFO] ------------------------------------------------------------------------
>> [INFO] Total time: 5.139s
>> [INFO] Finished at: Wed Mar 13 18:38:10 EDT 2013
>> [INFO] Final Memory: 17M/190M
>> [INFO] ------------------------------------------------------------------------
>> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile (default-compile) on project geronimo-jsp_2.2_spec: Compilation failure: Compilation failure:
>> [ERROR] could not parse error message: warning: [options] bootstrap class path not set in conjunction with -source 1.5
>> [ERROR] /Users/kevan/tmp/release/geronimo-jsp_2.2_spec-1.2/src/main/java/javax/servlet/jsp/tagext/TagAdapter.java:24: warning: [deprecation] ExpressionEvaluator in javax.servlet.jsp.el has been deprecated
>> [ERROR] * Wraps any SimpleTag and exposes it using a Tag interface.  This is used
>> [ERROR] ^
>> [ERROR]
>> [ERROR] /Users/kevan/tmp/release/geronimo-jsp_2.2_spec-1.2/src/main/java/javax/servlet/jsp/tagext/TagAdapter.java:[25,17] [deprecation] VariableResolver in javax.servlet.jsp.el has been deprecated
>> [ERROR]
>> [ERROR] /Users/kevan/tmp/release/geronimo-jsp_2.2_spec-1.2/src/main/java/javax/servlet/jsp/JspContext.java:[226,20] [deprecation] ExpressionEvaluator in javax.servlet.jsp.el has been deprecated
>> [ERROR]
>> [ERROR] /Users/kevan/tmp/release/geronimo-jsp_2.2_spec-1.2/src/main/java/javax/servlet/jsp/JspContext.java:[239,20] [deprecation] VariableResolver in javax.servlet.jsp.el has been deprecated
>> [ERROR] -> [Help 1]
>> [ERROR]
>>
>> --kevan
>>
>>
>> On Mar 13, 2013, at 12:58 AM, Jarek Gawor <jgawor@gmail.com> wrote:
>>
>>> Hi all,
>>>
>>> I would like to call a vote on geronimo-jsp_2.2_spec-1.2 and
>>> geronimo-el_2.2_spec-1.0.4:
>>>
>>> geronimo-jsp_2.2_spec-1.2:
>>> - minor release, contains minor performance improvements (r1387447)
>>> and a synchronization fix (r1386839).
>>> - source archives:
>>> https://repository.apache.org/content/repositories/orgapachegeronimo-003/org/apache/geronimo/specs/geronimo-jsp_2.2_spec/1.2/
>>> - source tag:
>>> https://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jsp_2.2_spec-1.2/
>>>
>>> geronimo-el_2.2_spec-1.0.4:
>>> - minor release, contains minor performance improvements (r1376237).
>>> - source archives:
>>> https://repository.apache.org/content/repositories/orgapachegeronimo-003/org/apache/geronimo/specs/geronimo-el_2.2_spec/1.0.4/
>>> - source tag:
>>> https://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-el_2.2_spec-1.0.4/
>>>
>>> Staging repository (contains all artifacts for both specs):
>>> - https://repository.apache.org/content/repositories/orgapachegeronimo-003/
>>>
>>> Vote will be open for 72 hours.
>>> [ ] +1  approve
>>> [ ] +0  no opinion
>>> [ ] -1  disapprove (and reason why)
>>




--
Thanks!

Regards, Forrest